Subject: Ambiguity warning printed twice ?

From: Kaartic Sivaraam <[email-masked]>
Date: Thu, 22 Jun 2017 18:16:21 +0530

Happy day everyone,

I accidentally noticed a weird behaviour of 'git status'. In a
repository I created a branch with the name 'HEAD' by chance. When I
run 'git status' in the repository it prints a warning about an
ambiguous reference about 'HEAD' which is expected but it prints it
twice which seems suspicious.

    $ git branch
      HEAD
      master
    * test

    $ git status
    warning: refname 'HEAD' is ambiguous.
    warning: refname 'HEAD' is ambiguous.
    On branch test
    ....

Any reasons behind this behaviour or is this a bug?

-- 
Regards,
Kaartic Sivaraam <[email-masked]>